import base64 from 'base-64';
import utf8 from 'utf8';

export default {
  encode: function(str) {
    let bytes = utf8.encode(str);
    let encoded = base64.encode(bytes);
    return encoded;
  },
  decode: function(encodedData) {
    let bytes = base64.decode(encodedData);
    let text = utf8.decode(bytes);
    return text;
  },
};
