import React from 'react';
import Component from '../base-component'
/*

■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■
■                               ■
■           ░░░░░░░░░           ■
■           ░░░░░░░░░           ■
■                               ■
■           XXXXXXXXX           ■
■           xxxxxxxxx           ■
■                               ■
■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■

*/

class ArticleFallback extends Component {
  constructor(...args) {
    super(...args);
  }

  componentWillMount() {}

  render() {
    let sectionClasses = ''
    let item = this.props.itemsToRender[0];

    let starredBlocks = item.get('starred');

    let starredHtml = ''; //<div className='Component' dangerouslySetInnerHTML={{__html: starredHtml}} />
    for (let block of starredBlocks) {
      starredHtml += block.get('html');
    }

    return (
      <section id={this.props.sectionId} className={sectionClasses}>
        <div className='Component' dangerouslySetInnerHTML={{__html: starredHtml}} />
      </section>
    );
  }
}

ArticleFallback.componentverse = {
  id: 'ArticleFallback',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item) => {
          return item.get('isFeed');
        },
      }
    },
  ],
  'harmonies': [],
};

ArticleFallback.propTypes = {
  children: React.PropTypes.object,
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
  route: React.PropTypes.object,
}

export default ArticleFallback;
