/*

■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■
■                               ■
■           ░░░░░░░░░           ■
■           ░░░░░░░░░           ■
■                               ■
■           XXXXXXXXX           ■
■           xxxxxxxxx           ■
■                               ■
■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■ ■

*/
import React from 'react';
import Component from '../base-component';
import JsBeautifier from 'js-beautify';
let htmlBeautify = JsBeautifier.html;

class ArticleSiteHeader extends Component {
  constructor(...args) {
    super(...args);
  }

  componentWillMount() {}

  render() {
    let sectionClasses = ''
    let item = this.props.itemsToRender[0];
    let starredBlocks = item.get('starred');

    let starredHtml = '';
    for (let block of starredBlocks) {
      starredHtml += htmlBeautify(block.html);
    }
    //dangerouslySetInnerHTML={{__html: starredHtml}}
    return (
      <section id={this.props.sectionId} key={this.props.sectionId} className={sectionClasses}>
        <div>Article Site Header Component</div>
        <div className='Component' dangerouslySetInnerHTML={{__html: starredHtml}} />
      </section>
    );
  }
}

ArticleSiteHeader.componentverse = {
  id: 'ArticleSiteHeader',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item) => {
          return item.get('isSiteHeader');
        },
      }
    },
  ],
  'harmonies': [],
};

ArticleSiteHeader.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

export default ArticleSiteHeader;
