import BaseBlock from './base-block';
import React from 'react';

class CtaBlock extends BaseBlock {

  static getDataToRender(block) {
    //if (block) console.log('CTABlock==',block.toJS(true))
    return block ? block.get('html') : undefined;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               CtaBlock.getDataToRender(this.props.block);

    if (data) {
      let className = this.props.className || ''
      className += ' cta';
      console.log("223424234   ",data)
      return (
        <button className={className} dangerouslySetInnerHTML={{__html: data.replace('http://https://','https://')}} />
      );
    }
    return null;
  }
}

export default CtaBlock;
