import React from 'react';
import BaseBlock from './base-block';

class InteractiveBlock extends BaseBlock {

  render() {
    let block = this.props.block;
    let styles = this.props.styles || '';

    if (block) {
      return (
        <div className={styles} dangerouslySetInnerHTML={{__html: block.get('html')}} />
      );
    }

    return null;
  }
}

export default InteractiveBlock;
