import {React, Style} from '../../../deps'

let typographyStyles = {

  default: (scope) => (
    <Style key='typographyStyles-default' perfFrame={true} perf={true} scope={scope}>
      {`
        :scope {

          & {
            fnt -- txt
            fnt-sz -- txt
            ln-h -- 1.5em
          }
          h1 {
            fnt -- d2
            fnt-sz -- d-l
            ln-h -- 1.125em
          }

          h2 {
            fnt -- d2
            fnt-sz -- d
            ln-h -- 1.25em
          }

          h3 {
            fnt -- d3
            fnt-sz -- d-s
            ln-h -- 1.5em
          }

          quote {
            fnt-sz -- d-s
            ln-h -- 1.5em
          }

        }
      `}
    </Style>
  )

}

export default typographyStyles