import React from 'react';
import { Router, browserHistory} from 'react-router'
import BaseComponent from '../base-component';
import routes from './routes'

class SiteManager extends BaseComponent {
  constructor(...args) {
    super(...args);
    this.elmIds = {};
  }

  componentDidMount() {}

  render() {
    return (
      <Router history={browserHistory} onUpdate={() => { if (typeof window !== 'undefined') window.scrollTo(0, 0)}} routes={routes} />
    );
  }
}

export default SiteManager;
