import express from 'express';

const app = express();
const webpack = require('webpack')
const webpackConfig = require('../../build-steps/webpack.dev.fuck-server.babel')
const devMiddleware = require('webpack-dev-middleware')
const hotMiddleware = require('webpack-hot-middleware')

/* eslint-disable */
console.log('starting dev server middleware....')
/* eslint-enable */
const compiler = webpack(webpackConfig.default)
const devMiddlewareConf = {
  // It suppress error shown in console, so it has to be set to false.
  quiet: false,
  // It suppress everything except error, so it has to be set to false as well
  // to see success build.
  noInfo: false,
  stats: {
    // Config for minimal console.log mess.
    assets: true,
    colors: true,
    version: true,
    hash: true,
    timings: true,
    chunks: true,
    chunkModules: false
  },
  // noInfo: true,
  // stats: {
  //   colors: true
  // },
  publicPath: webpackConfig.default.output.publicPath
}

app.use(hotMiddleware(compiler, {
  path: '/__webpack_hmr'
}))

app.use(devMiddleware(compiler, devMiddlewareConf))
app.use(express.static('tmp/'));

app.listen(3001)
