import prepareAppData from './prepare-app-data';
import React from 'react'
import ReactServerRender from './react-server-render';
import generateGomHtml from './generate-gom-html';

let generateHtmlPage = function(options) {
  let {grid, siteData, headContent, scripts} = options;

  let appData = prepareAppData(grid, siteData, options);

  let reactRenderer = new ReactServerRender();
  let reactHtml = reactRenderer.render(appData);
  let html = generateGomHtml(appData, reactHtml, grid, siteData, headContent, scripts);
  return html;
};

export default generateHtmlPage;
