import getHeadContent from './html-head';
import getScripts from './html-scripts';
import generateHtmlPage from './generate-html-page';

let plumber = function(grid, siteData) {
  let headContent = getHeadContent();
  let scripts = getScripts();

  let options = {grid, siteData, headContent, scripts};
  let html = generateHtmlPage(options);
  return html;
};

export default plumber;
