import BaseBlock from './base-block';
import {LinkBlock} from './index';
import React from 'react';

class AttributionBlock extends BaseBlock {

  render() {
    let {htmlAttributions} = this.props

    if (htmlAttributions) {
      return (
        <div className={`attribution`}>
          <h5><span className={`author`} dangerouslySetInnerHTML={{__html: htmlAttributions}} /></h5>
        </div>
      );
    }
    return null;
  }
}

export default AttributionBlock;
