import BaseBlock from './base-block';
import {LinkBlock} from './index';
import React from 'react';

class AudioBlock extends BaseBlock {
  
  static getDataToRender(block) {
    if (block && block.get('html')) return block.get('html');
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
                  this.props.dataToRender :
                  AudioBlock.getDataToRender(this.props.block);

    if (data) {
      return (
        <div className='Bg op-30'>
          <div className='Cover' dangerouslySetInnerHTML={{__html: data}} />
        </div>
      );
    }

    return null;
  }
}

export default AudioBlock;
