import BaseBlock from './base-block';
import {LinkBlock} from './index';
import React from 'react';

// really should be /items/ instead of /blocks/ since it is working at the item level
class AvatarBlock extends BaseBlock {

  //TODO - add links to author & publisher.
  render() {

    let {src} = this.props

    if (src) {
      return (
        <div className="avatar">
          <img src={src} />
        </div>
      );
    }
    return null;
  }
}

export default AvatarBlock;
