
import React from 'react';
import Modal from './modal'

class Cookie extends React.Component {
  constructor(...args) {
    super(...args);
    this.sectionId = 'Cookie'; // this.props.sectionId;
    // save the modal state
    this.state = {
      visible: false, // initially set it to be hidden
      value: '' // and its content to be empty
    };
  }

  popup(value) {
    this.setState({
      visible: true, // set it to be visible
      value: value // and its content to be the value
    })
  }

  componentWillMount() {
    this.myClasses = 'Section Section--components-1 Cookie title-size-large color-box-pop fade-in';
  }

  render() {
    let sectionClasses = this.myClasses;
    let message = 'eu cookie message';

    ///
    // @TODO: just render the model and set the state on that?
    // conditionally render the popup element based on current state
    //
    ///
    // @TODO: write cookie policy
    ///
    const popup = (this.state.visible ? <Modal value={this.state.value} /> : null);
    let cookiePolicy = 'Cookie message';

    if (this.props.analytics.google === null &&
        this.props.analytics.twitter === null &&
        this.props.analytics.facebook === null) {
      return null;
    }

    return (
      <section id={this.sectionId} className={sectionClasses}>
        {popup}
        <div key={0} onClick={() => this.popup(cookiePolicy)}>
          {message}
        </div>
      </section>
    );
  }
}

export default Cookie;
