import React from 'react';
import BaseBlock from './base-block';
class InteractiveBlock extends BaseBlock {

  resizeIframe(obj) {
    // TODO figure out a way to do this when cross request http/https
    // setTimeout(function() {
    //   if (obj && obj.contentWindow) {
    //     obj.style.height = obj.contentWindow.document.body.scrollHeight + 'px';
    //     obj.style.width = obj.contentWindow.document.body.scrollWidth + 'px';
    //   }
    // }, 1000)
  }

  componentDidMount() {
    this.iframe.addEventListener('onload', this.resizeIframe(this.iframe));
  }

  render() {
    let block = this.props.block;
    let styles = this.props.styles || '';

    if (block) {
      return (
        <iframe src={block.get('metadata.isBasedOnUrl')} ref={(iframe) => this.iframe = iframe} className={`${styles}`} width={'100%'} height={'500px'} />
      );
    }

    return null;
  }
}

export default InteractiveBlock;
