import BaseBlock from './base-block';
import React from 'react';

class ListBlock extends BaseBlock {

  static getDataRender(block) {
    return block ? block.get('html') : undefined;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               ListBlock.getDataToRender(this.props.block);

    if (data) {
      return (
        <div className='Paragraph color-text d-inline-block' dangerouslySetInnerHTML={{__html: data}} />
      );
    }

    return null;
  }
}

export default ListBlock;
