import BaseBlock from '../base-block';
import {LinkBlock} from '../index';
import React from 'react';

class MetaTitle extends BaseBlock {

  static getDataToRender(block) {
    if (block) {
      return block.get('title');
    }
    return null;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               MetaTitle.getDataToRender(this.props.block);

    if (data) {
      return (
        <h3 className={`m-t-1 m-b-1 font-title ${this.props.styles}`}><span dangerouslySetInnerHTML={{__html: data}} /></h3>
      );
    }

    return null;
  }
}

export default MetaTitle;
