import BaseBlock from './base-block';
import React from 'react';

class QuoteBlock extends BaseBlock {
  
  static getDataToRender(block) {
    return block ? block.get('html') : undefined;
  }

  render() {
    let data = this.props.dataToRender ?
               this.props.dataToRender :
               QuoteBlock.getDataToRender(this.props.block);

    if (data) {
      return (
        <div className='Paragraph d-i-b font-quote' dangerouslySetInnerHTML={{__html: data}} />
      );
    }

    return null;
  }
}

export default QuoteBlock;
