import React from 'react';
import BaseBlock from './base-block';

class TextBlock extends BaseBlock {

  render() {
    let block = this.props.block;
    let styles = this.props.styles || '';

    if (this.props.siteClasses && (this.props.siteClasses.indexOf('Brockmann') !== -1 || this.props.siteClasses.indexOf('Neuburg') !== -1)) {
      styles += ' m-a'
    }

    if (block) {
      return (
        <div className={`Paragraph ${styles}`} dangerouslySetInnerHTML={{__html: block.get('html')}} />
      );
    }

    return null;
  }
}

export default TextBlock;
