// Menus
import NavHamburger from './sections/navs/nav--hamburger';

// Site Header
import SiteHeader from './sections/headers/site-header';

//Ctas
import Cta from './sections/ctas/cta';

// Feed
import Fallback from './sections/fallback/';

import DeviceLaptop from './sections/device-laptop/'
import MonoBasic from './sections/mono-basic/'
import MultiBasic from './sections/multi-basic'
import MultiCtxOnSubGrid from './sections/multi-ctx-on-sub-grid'

// Footer
import LoadMoreWButton from './sections/feed-loaders/load-more-w-button';
import Footer3col from './sections/footers/footer--3col';

// Articles
import ArticleSiteHeader from './articles/article-site-header';
import ArticleFallback from './articles/article-fallback';

// Loading
import LoadingDefault from './sections/loading/loading-default';

// 404
import Http404 from './http-error/http-404';

export default {
  allComponents: [
    NavHamburger,
    SiteHeader,
    Fallback,
    DeviceLaptop,
    MonoBasic,
    MultiBasic,
    MultiCtxOnSubGrid,
    Cta,
    LoadMoreWButton,
    Footer3col,
  ],
  permalinkComponents: [
    NavHamburger,
    ArticleSiteHeader,
    ArticleFallback,
    Fallback,
    Footer3col,
  ],
  httpErrors: { Http404 },
  // Menus
  NavHamburger,

  // Site Header
  SiteHeader,

  // Fallback
  Fallback,

  // Feed
  DeviceLaptop,
  MonoBasic,
  MultiBasic,
  MultiCtxOnSubGrid,

  // Ctas
  Cta,

  // Footer
  LoadMoreWButton,
  Footer3col,

  // Articles
  ArticleFallback,
  ArticleSiteHeader,

  // Loading
  LoadingDefault,
};
