import {React, Style} from '../../../deps'

let chromaStyles = {

  default: (scope) => (
    <Style key='chromaStyles-default' perfFrame={true} perf={true} scope={scope}>
      {`
        :scope {

          clr -- chroma-text

          h1 {
            clr -- chroma-title
          }

          h2 {
            clr -- chroma-title2
          }

          h3 {
            clr -- chroma-title2
          }

          .meta {
            clr -- chroma-meta
          }

          a, a:visited {
            clr -- chroma-text-pop
          }
          a:nth-child(even), a:nth-child(even):visited {
            clr -- chroma-text-pop2
          }

          .layout > *:nth-child(even) {
            a {
              clr -- chroma-text-pop2
            }
            a:visited {
              clr -- chroma-text-pop2
            }
            a:nth-child(even) {
              clr -- chroma-text-pop
            }
            a:nth-child(even):visited {
              clr -- chroma-text-pop
            }
          }

          ::selection {
            bg-color -- chroma-selection
            color -- chroma-selection-text
            text-shadow -- none
          }
        }
      `}
    </Style>
  )

}

export default chromaStyles