import React from 'react';
import { Router, browserHistory} from 'react-router';
import ReactDOM from 'react-dom';
import routes from './site/routes';
import base64 from '../ds/helpers/base64';

let initState = base64.decode(window.pageReactInitState);
initState = JSON.parse(initState);
window.theGridSiteType = `${initState.siteData.type}`;
routes.initState = initState;
ReactDOM.render(<Router history={browserHistory}  onUpdate={() => { if (typeof window !== 'undefined') window.scrollTo(0, 0)}} routes={routes} />, document.getElementById('app'));
