import React from 'react';
import Component from '../../base-component'

class LoadMoreWButton extends Component {
  constructor(...args) {
    super(...args);
    this.onSectionLoadedToken = null;
  }

  componentWillMount() {
    this.state = {active: true};
    this.onSectionLoadedToken = this.PubSub.subscribe('onSectionsLoaded', this.onSectionLoaded.bind(this));
  }

  componentWillUnmount() {
    if (this.onSectionLoadedToken) {
      this.PubSub.unsubscribe(this.onSectionLoadedToken);
    }
  }

  onLoadMoreSectionClick() {
    this.props.addSections(this.props.itemsToRender[0].get('content').get(0).get('link'));
    this.setState({loading: true});
  }

  onSectionLoaded(msg, data) {
    let pathname = data.pathname;
    if (pathname === this.props.itemsToRender[0].get('content').get(0).get('link').get('href')) {
      this.setState({active: false});
    }
    if (data.err) {
      this.setState({loadingFailed: true})
    }
  }

  render() {

    // TODO
    return null



    if (!this.state.active && !this.state.remove) {
      sectionClasses += ' fade-out';
      let that = this;
      setTimeout(() => {
        that.setState({remove: true});
      }, 500);
    }

    if (this.state.remove) {
      return null;
    }

    let loadingFailed = null;
    if (this.state.loadingFailed) {
      loadingFailed = (<p className='color-text'>Loading failed. We are sorry for the inconvenience. Please try again later.</p>);
    }

    return (
      <section id={this.sectionId} className={sectionClasses}>
        <div className={`Component p-1 ${this.componentBgColor}`}>
          <button className='color-box-pop pos-a circle w-4rem h-4rem center-hv m-0 cur-p' onClick={this.onLoadMoreSectionClick.bind(this)}>
            Load WTF
          </button>
          {loadingFailed}
        </div>
      </section>
    );
  }
}

LoadMoreWButton.componentverse = {
  id: 'LoadMoreWButton',
  $class: [],
  props: {},
  Y_inlets: [
    {
      '$item-capacity': 1,
      inlets: {
        '1': (item) => {
          return item.get('isNextPage');
        },
      }
    },
  ],
  'harmonies': [],
};

LoadMoreWButton.propTypes = {
  sectionId: React.PropTypes.string,
  contracts: React.PropTypes.object,
  siteData: React.PropTypes.object,
  itemsToRender: React.PropTypes.array,
}

export default LoadMoreWButton;
