import React from 'react';
import {Style} from '../../../../deps'

const style = function (scope) {

  return (
      <Style key='section-style' perf={true} scope={scope}>{`

        :scope {
          pos -- r
        }



        :scope-bg {
          pos -- a
          t -- 0
          r -- 0
          l -- 0
          b -- 0
          bg-clr -- chroma-bg
        }


        :scope-unit-layout {

          pos -- r
          d -- flx
          flx-dir -- row
          flx-aln -- stretch

          .content-unit.has-text .elements-layout {
            mar-l -- 1goldx
            mar-r -- 2goldx
            mar-t -- 1goldy
            mar-b -- 2goldy
            //mar-l -- 1goldx
            //mar-r -- 1goldx
            //mar-t -- 1goldy
            //mar-b -- 1goldy
          }

          .content-unit {
            bg-clr -- chroma-box
            min-h -- 66.6666vh
            max-h -- 100vh
            w -- 100vw
            pos -- r
            d -- flx
            flx-dir -- row
            flx-dir -- col
            flx-jst -- mid

            .elements-layout {
              d -- flx
              flx-dir -- row
              flx-jst -- mid
            }

            .texts {
              d -- flx
              flx-dir -- col
              flx-jst -- mid
              pos -- r
              z-idx -- 1
              pad-l -- .5goldx
              pad-r -- .5goldx
              pad-t -- .5goldy
              pad-b -- .5goldy

              bg-clr -- chroma-box
              box-sh -- m
              bdr -- solid 1em chroma-bg
              & {
                clr -- chroma-text-pop2
              }
              h1 {
                clr -- chroma-text-pop
              }
              h2 {
                clr -- chroma-text-pop2
                fnt -- d
              }
              h3 {
                clr -- chroma-box-pop
                fnt -- d
              }

            }

            .cover img {
              pos -- a
              w -- 100%
              h -- 100%
              t -- 0
              r -- 0
              l -- 0
              b -- 0
              obj-fit -- cover
            }
          }
        }





      `}</Style>
  )

}

export default style
