import {React, Style} from '../../../deps'
import Styles from '../../components/styles'

const style = function (scope) {

  return (
    <Styles chroma='default' typography='default' scope={scope}>
      <Style key='section-style' perf={true} scope={scope}>{`

        :scope {
          pos -- a
          r -- 0
          t -- 0
          z-idx -- 1

          bg-clr -- transparent

          w -- 100vw

          .link-layout {
            d -- flex
            flx-dir -- row
            flx-jst -- end

            > * {

              fnt-sz -- txt-s
              fnt -- d3

              &, * {
                clr -- chroma-light-meta !important
              }

              mar-l -- 1em
              mar-r -- 1em
              mar-t -- .5em
              mar-b -- .5em
            }
          }
        }

      `}</Style>
    </Styles>
  )

}

export default style
