import {expect} from 'chai'
import theComposer from '@the-grid/the-composer';
import index from '../src/ds/'
import clone from 'clone'
import path from 'path'
import fs from 'fs'
import shell from 'shelljs'
import allMocks from '../tmp/mocks/allMocks'

describe('noop test setup', () => {
  it('should run', () => {
    console.log('allmocks?', allMocks)
    Object.keys(allMocks).forEach((mockProp) => {
      console.log('Solving for: ', mockProp, ' ------------------', index);

      const mockConfig = allMocks[mockProp]() 
      const composerOptions = {
        rng: _ => 0,
        'the-mixer': {
          compverseJson: {
            mix: {
              $Y_compositions: [clone(index)],
            },
          },
        },
        log: true,
      }

      let html
      let cb = (err, solution) => {
        if(err) {
          throw err
        }
        html = solution;

        expect(html).to.be.a('string')
      };

      theComposer(mockConfig.siteData, composerOptions, cb)

    })
    console.log('mocks are here', allMocks)
  })
})
